org.jetlang.remote.core

## Class SocketMessageStreamWriter.BufferedStream

- java.lang.Object
- - org.jetlang.remote.core.SocketMessageStreamWriter.BufferedStream

All Implemented Interfaces:
  SocketMessageStreamWriter.Out

Enclosing class:
  SocketMessageStreamWriter

    public static class SocketMessageStreamWriter.BufferedStream
    extends Object
    implements SocketMessageStreamWriter.Out

### Constructor Summary

Constructors
Constructor and Description
`BufferedStream(ByteArrayBuffer buffer, ClosableOutputStream closable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()`
`void` `flush()`
`ByteArrayBuffer` `getBuffer()`
`void` `write(int byteToWrite)`
`void` `writeBytes(byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferedStream

    public BufferedStream(ByteArrayBuffer buffer,
                          ClosableOutputStream closable)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### getBuffer

    public ByteArrayBuffer getBuffer()

Specified by:
  `getBuffer` in interface `SocketMessageStreamWriter.Out`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `SocketMessageStreamWriter.Out`
Throws:
  `IOException`

#### write

    public void write(int byteToWrite)
               throws IOException

Specified by:
  `write` in interface `SocketMessageStreamWriter.Out`
Throws:
  `IOException`

#### writeBytes

    public void writeBytes(byte[] bytes)
                    throws IOException

Specified by:
  `writeBytes` in interface `SocketMessageStreamWriter.Out`
Throws:
  `IOException`

#### close

    public boolean close()

Specified by:
  `close` in interface `SocketMessageStreamWriter.Out`